dnl =======================================================
dnl FILE: ./admin/configure.in.min
dnl =======================================================

dnl    This file is part of the KDE libraries/packages
dnl    Copyright (C) 2001 Stephan Kulow (coolo@kde.org)
 
dnl    This file is free software; you can redistribute it and/or
dnl    modify it under the terms of the GNU Library General Public
dnl    License as published by the Free Software Foundation; either
dnl    version 2 of the License, or (at your option) any later version.
 
dnl    This library is distributed in the hope that it will be useful,
dnl    but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
dnl    Library General Public License for more details.
 
dnl    You should have received a copy of the GNU Library General Public License
dnl    along with this library; see the file COPYING.LIB.  If not, write to
dnl    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
dnl    Boston, MA 02111-1307, USA.

# Original Author was Kalle@kde.org
# I lifted it in some mater. (Stephan Kulow)
# I used much code from Janos Farkas

dnl Process this file with autoconf to produce a configure script.

AC_INIT(acinclude.m4) dnl a source file from your sub dir

dnl This is so we can use kde-common
AC_CONFIG_AUX_DIR(admin)

dnl This ksh/zsh feature conflicts with `cd blah ; pwd`
unset CDPATH

dnl Checking host/target/build systems, for make, install etc.
AC_CANONICAL_SYSTEM 
dnl Perform program name transformation
AC_ARG_PROGRAM

dnl Automake doc recommends to do this only here. (Janos)
AM_INIT_AUTOMAKE(kdetv-0.8.9, "3.4.0") dnl searches for some needed programs

KDE_SET_PREFIX

dnl generate the config header
AM_CONFIG_HEADER(config.h) dnl at the distribution this done

dnl Checks for programs.
AC_CHECK_COMPILERS
AC_ENABLE_SHARED(yes)
AC_ENABLE_STATIC(no)
KDE_PROG_LIBTOOL

dnl for NLS support. Call them in this order!
dnl WITH_NLS is for the po files
AM_KDE_WITH_NLS

KDE_USE_QT(3.2)
AC_PATH_KDE
dnl =======================================================
dnl FILE: configure.in.in
dnl =======================================================

#MIN_CONFIG(3.2)
CXXFLAGS="$CXXFLAGS $KDE_DEFAULT_CXXFLAGS"

if test "$build_arts" = "yes"; then
    AC_DEFINE(USE_ARTS, 1, [If we use arts volume])
    LIB_ARTS="-lartskde"
    AC_SUBST(LIB_ARTS)
fi

KDE_INIT_DOXYGEN([The API Reference], [Version $VERSION])

dnl =======================================================
dnl FILE: ./kdetv/configure.in.in
dnl =======================================================


##################################################################
## 
##    kdetv configure script
##    George Staikos <staikos@kde.org>
##
##################################################################

AC_HAVE_GL

dnl ---------------------------------------------------------------------
dnl XVideo extension
    KDE_CHECK_LIB(Xv, XvQueryExtension, 
        KDETV_LIBS="-lXv $KDETV_LIBS",, 
        -L/usr/X11R6/lib $X_LIBS $X_PRE_LIBS -lXext -lX11 $X_EXTRA_LIBS)

dnl ---------------------------------------------------------------------
dnl XVideo Motion Compensation extension
    KDE_CHECK_LIB(XvMC, XvMCQueryExtension, 
        KDETV_LIBS="-lXvMC $KDETV_LIBS",, 
        -L/usr/X11R6/lib $X_LIBS $X_PRE_LIBS -lXext -lX11 $X_EXTRA_LIBS)


dnl ---------------------------------------------------------------------
dnl Other X extensions

    KDE_CHECK_LIB(Xxf86dga, XF86DGAQueryExtension, 
        KDETV_LIBS="-lXxf86dga $KDETV_LIBS",,
        -L/usr/X11R6/lib $X_LIBS $X_PRE_LIBS -lXext -lX11 $X_EXTRA_LIBS)
    KDE_CHECK_LIB(Xxf86vm, XF86VidModeQueryExtension,
        KDETV_LIBS="-lXxf86vm $KDETV_LIBS",,
        -L/usr/X11R6/lib $X_LIBS $X_PRE_LIBS -lXext -lX11 $X_EXTRA_LIBS)
dnl Check for dpms - we check for the existence of the header, because in XFree 4.x
dnl DPMSQueryExtension is included in Xlib
    have_xdpms=no
    AC_CHECK_HEADER(X11/extensions/dpms.h,
		     AC_DEFINE(HAVE_XDPMS, 1, [If we have xdpms])
		     have_xdpms=yes
		     ,,[#include <X11/Xlib.h>])
    have_xshm=no
    AC_CHECK_HEADER(X11/extensions/XShm.h,
		     AC_DEFINE(HAVE_XSHM, 1, [If we have xshm])
		     have_xshm=yes
		     ,,[#include <X11/Xlib.h>])
    KDE_CHECK_LIB(Xdpms, DPMSQueryExtension,
        KDETV_LIBS="-lXdpms $KDETV_LIBS",,
        -L/usr/X11R6/lib $X_LIBS $X_PRE_LIBS -lXext -lX11 $X_EXTRA_LIBS)

    KDE_CHECK_LIB(Xinerama, XineramaQueryExtension,
        KDETV_LIBS="-lXinerama $KDETV_LIBS",,
        -L/usr/X11R6/lib $X_LIBS $X_PRE_LIBS -lXext -lX11 $X_EXTRA_LIBS)

AC_SUBST(KDETV_LIBS)

if test $ac_cv_lib_Xxf86dga_XF86DGAQueryExtension = yes; then
  AC_DEFINE(HAVE_XDGA, 1, [If we have the X11 DGA extension])
fi

if test $ac_cv_lib_Xv_XvQueryExtension = yes; then
  AC_DEFINE(HAVE_LIBXV, 1, [If we have the XVideo extension])
fi

if test $ac_cv_lib_XvMC_XvMCQueryExtension = yes; then
  AC_DEFINE(HAVE_LIBXVMC, 1, [If we have the XVideo Motion Compensation extension])
fi

dnl ---------------------------------------------------------------------
dnl Check for Linux
AC_CHECK_HEADER(linux/vt.h,,DO_NOT_COMPILE="kdetv $DO_NOT_COMPILE")

dnl ---------------------------------------------------------------------
dnl Check for LIRC client support

LIB_LIRC_KDETV=
AC_ARG_ENABLE(kdetv-lirc, AC_HELP_STRING([--enable-kdetv-lirc],
	      [enable use of lirc in kdetv (disabled)]),
[
 if test "$enableval" = yes ; then
   have_lirc=yes
   KDE_CHECK_LIB(lirc_client,lirc_init,,have_lirc=no)
   if test "$have_lirc" = "yes"; then
     KDE_CHECK_HEADER(lirc/lirc_client.h,,have_lirc=no)
   fi

   if test "$have_lirc" = "yes"; then
     AC_DEFINE(HAVE_LIRC_KDETV, 1,
	       [Define this if lirc client library is available and should be used])
     LIB_LIRC_KDETV="-llirc_client"
   fi
 fi
])
AC_SUBST(LIB_LIRC_KDETV)

CXXFLAGS="$CXXFLAGS $KDE_DEFAULT_CXXFLAGS"
dnl =======================================================
dnl FILE: ./kdetv/plugins/configure.in.in
dnl =======================================================

dnl ------------------------------------------------------------------------
dnl Try to find the zvbi headers and libraries.
dnl $(ZVBI_LDFLAGS) will be -Lzvbi (if needed)
dnl and $(ZVBI_INCLUDES) will be -Izvbi (if needed)

AC_DEFUN([AC_PATH_ZVBI],
[
LIBZVBI="-lzvbi"
AC_MSG_CHECKING([for libzvbi])

ac_zvbi_includes=NO ac_zvbi_libraries=NO
zvbi_libraries=""
zvbi_includes=""
AC_ARG_WITH(zvbi-dir,
    [  --with-zvbi-dir=DIR     where the root of libzvbi is installed],
    [  ac_zvbi_includes="$withval"/include
       ac_zvbi_libraries="$withval"/lib${kdelibsuff}
    ])

want_zvbi=yes
AC_ARG_WITH(zvbi,
    [  --without-zvbi          disable libzvbi checks],
    [want_zvbi=$withval])

if test $want_zvbi = yes; then

AC_CACHE_VAL(ac_cv_have_zvbi,
[#try to guess libzvbi locations

  zvbi_incdirs="/usr/include /usr/local/include /usr/local/zvbi/include /opt/zvbi/include $prefix/include $kde_extra_includes"
  zvbi_incdirs="$ac_zvbi_includes $zvbi_incdirs"
  AC_FIND_FILE(libzvbi.h, $zvbi_incdirs, zvbi_incdir)
  ac_zvbi_includes="$zvbi_incdir"

  zvbi_libdirs="/usr/lib${kdelibsuff} /usr/local/lib${kdelibsuff} /usr/local/zvbi/lib${kdelibsuff} $prefix/lib${kdelibsuff} $exec_prefix/lib${kdelibsuff} $kde_extra_libs"
  if test ! "$ac_zvbi_libraries" = "NO"; then
    zvbi_libdirs="$ac_zvbi_libraries $zvbi_libdirs"
  fi

  test=NONE
  zvbi_libdir=NONE
  for dir in $zvbi_libdirs; do
    try="ls -1 $dir/libzvbi*"
    if test=`eval $try 2> /dev/null`; then zvbi_libdir=$dir; break; else echo "tried $dir" >&AC_FD_CC ; fi
  done

  ac_zvbi_libraries="$zvbi_libdir"

  if test "$ac_zvbi_includes" = NO || test "$ac_zvbi_libraries" = NO; then
    have_zvbi=no
  else
    ZVBI_INCLUDES="-I$ac_zvbi_includes ";
    ZVBI_LDFLAGS="-L$ac_zvbi_libraries -lzvbi";
    have_zvbi=yes;
  fi

  ])

  eval "$ac_cv_have_zvbi"
else
  have_zvbi=no
fi

AC_SUBST(ZVBI_INCLUDES)
AC_SUBST(ZVBI_LDFLAGS)
AC_SUBST(LIBZVBI)
])


AC_PATH_ZVBI

if test "$ac_zvbi_includes" = NO || test "$ac_zvbi_libraries" = NO; then
  ZVBIDIRS=
  AC_MSG_RESULT([not found. VBI services disabled.])
else
  ZVBIDIRS="yes"
  AC_DEFINE(HAVE_ZVBI, 1, [If we have libzvbi])
  AC_MSG_RESULT([found. VBI services enabled.])
fi

AM_CONDITIONAL(include_ZVBIDIR, [test -n "$ZVBIDIRS"])

AC_CHECK_LIB(zvbi, vbi_proxy_client_create, AC_DEFINE(HAVE_VBI_PROXY, 1, [If we have VBI proxy]))

dnl ------------------------------------------------------------------------
dnl Check for XRANDR
KDE_CHECK_LIB(Xrandr, XRRConfigCurrentConfiguration, 
    KDETV_LIBS="-lXrandr -lXrender $KDETV_LIBS",,
    -L/usr/X11R6/lib $X_LIBS $X_PRE_LIBS -lXrender -lXext -lX11 $X_EXTRA_LIBS)

if test $ac_cv_lib_Xrandr_XRRConfigCurrentConfiguration = yes; then
  AC_DEFINE(HAVE_XRANDR, 1, [If we have the X11 RANDR extension])
fi


dnl ------------------------------------------------------------------------
dnl Check for processor architecture
case "$target" in
    i?86-* | k?-*)
        AC_DEFINE([ARCH_X86],,[x86 architecture])
        AC_DEFINE([ARCH_386],,[386 architecture])
        ARCH_X86=yes
        ARCH_386=yes
        ARCH_X86_64=no
        ;;
    x86_64-*)
        AC_DEFINE([ARCH_X86],,[x86 architecture])
        AC_DEFINE([ARCH_X86_64],,[x86_64 architecture])
        ARCH_X86=yes
        ARCH_386=no
        ARCH_X86_64=yes
        ;;
    *)
        ARCH_X86=no
        ARCH_386=no
        ARCH_X86_64=no
        ;;
esac

AC_MSG_CHECKING(for X86 architecture)
AC_MSG_RESULT($ARCH_X86)
AM_CONDITIONAL(ARCH_X86, [test "$ARCH_X86" = "yes"])

USE_MMX_REGISTER=""
if test "$ARCH_X86" = "yes"; then
  KDE_CHECK_COMPILER_FLAG([mmmx], [USE_MMX_REGISTER="-mmmx"], )
fi
AC_SUBST([USE_MMX_REGISTER])

AC_MSG_CHECKING(for 386 architecture)
AC_MSG_RESULT($ARCH_386)
AM_CONDITIONAL(ARCH_386, [test "$ARCH_386" = "yes"])

AC_MSG_CHECKING(for X86_64 architecture)
AC_MSG_RESULT($ARCH_X86_64)
AM_CONDITIONAL(ARCH_X86_64, [test "$ARCH_X86_64" = "yes"])
dnl =======================================================
dnl FILE: ./kdetv/plugins/misc/configure.in.in
dnl =======================================================

LIB_XRENDER=
if test "$kde_use_qt_emb" = "no" && test "$kde_use_qt_mac" = "no"; then
  KDE_CHECK_HEADER(X11/extensions/Xrender.h, [xrender_h=yes], [xrender_h=no])
  if test "$xrender_h" = yes; then
    KDE_CHECK_LIB(Xrender, XRenderSetPictureTransform, [ LIB_XRENDER=-lXrender ], [xrender_h=no])
    if test "$xrender_h" = yes; then
      AC_DEFINE_UNQUOTED(HAVE_XRENDER_TRANSFORMS, 1, [Defined if your system supports XRender transformations (XRenderSetPictureTransform) ], [], -lXext -lX11 $X_EXTRA_LIBS)
    fi
  fi
fi
AC_SUBST(LIB_XRENDER)
dnl =======================================================
dnl FILE: ./kdetv/plugins/mixer/configure.in.in
dnl =======================================================


##################################################################
## 
##    kdetv mixer configure script
##    Neil Macvicar (blackmogu@vfemail.net)
##
##################################################################

AC_DEFUN([AC_PATH_ASOUND],
[
LIBASOUND="-lasound"
AC_MSG_CHECKING([for alsa libraries and headers])

ac_alsa_libs=NO ac_alsa_includes=NO
alsa_libraries=""
alsa_includes=""
AC_ARG_WITH(alsa-dir,
	[  --with-alsa-dir=DIR	where the root of alsa-lib is installed],
	[ ac_alsa_includes="$withval"/include
	  ac_alsa_libraries="$withval"/lib
	])

want_alsa_mixer=yes

#AC_ARG_WITH(alsa,
#	[  --without-alsa-mixer	disable alsa mixer plugin],
#	[want_alsa_mixer=NO])

if test $want_alsa_mixer = yes; then
AC_CACHE_VAL(ac_cv_have_alsa,
[# try to guess the location of the ALSA libraries/headers
	alsa_incdirs="/usr/include /usr/local/include $prefix/include $kde_extra_includes"
	alsa_incdirs="$ac_alsa_includes $alsa_incdirs"	
	AC_FIND_FILE(alsa/asoundlib.h, $alsa_incdirs, alsa_incdir)
	ac_alsa_includes="$alsa_incdir"

	alsa_libdirs="/usr/lib /usr/local/lib $prefix/lib $exec_prefix/lib $kde_extra_libs"
	if test ! "$ac_alsa_libraries" = "NO"; then
		alsa_libdirs="$ac_alsa_libraries $alsa_libdirs"
	fi

	test=NONE
	alsa_libdir=NONE

	for dir in $alsa_libdirs; do
		try="ls -1 $dir/libasound*"
		if test=`eval $try 2>/dev/null`; then alsa_libdir=$dir; break; else echo "tried $dir" >&AC_FD_CC ; fi
	done

	ac_alsa_libraries="$alsa_libdir"

	if test "$ac_alsa_includes" = NO || test "$ac_alsa_libraries" = NO; then
		have_alsa=no
	else
		ALSA_INCLUDES="-I$ac_alsa_includes ";
		ALSA_LDFLAGS="-L$ac_alsa_libraries -lasound";
		have_alsa=yes;
	fi
	])

	eval "$ac_cv_have_alsa"
	else
		have_alsa=no
	fi

AC_SUBST(ALSA_INCLUDES)
AC_SUBST(ALSA_LDFLAGS)
AC_SUBST(LIBALSA)
])

AC_PATH_ASOUND

if test "$ac_alsa_includes" = NO || test "$ac_alsa_libraries" = NO; then
	ALSADIRS=
	AC_MSG_RESULT([not found. Alsa mixer plugin disabled])
else
	ALSADIRS="yes"
	AC_MSG_RESULT([found. Alsa mixer plugin enabled])
fi

AM_CONDITIONAL(include_ALSADIR, [test -n "$ALSADIRS"])
dnl =======================================================
dnl FILE: ./kdetv/plugins/video/configure.in.in
dnl =======================================================

have_v4l=no

case "$host" in
  *-*-linux*)
    kdetvv4l_compile=yes
	have_v4l=yes
  ;;
  *) kdetvv4l_compile=no;;
esac

AC_MSG_CHECKING(if kdetv v4l plugin should be compiled)
AC_MSG_RESULT($kdetvv4l_compile)

if test "$kdetvv4l_compile" = "yes"; then
  AC_DEFINE(HAVE_V4L, 1, [If we have video4linux])
fi

AM_CONDITIONAL(include_kdetvvideo, test "$kdetvv4l_compile" = "yes")

KDE_CREATE_SUBDIRSLIST
AM_CONDITIONAL(doc_SUBDIR_included, test "x$doc_SUBDIR_included" = xyes)
AM_CONDITIONAL(kdetv_SUBDIR_included, test "x$kdetv_SUBDIR_included" = xyes)
AM_CONDITIONAL(po_SUBDIR_included, test "x$po_SUBDIR_included" = xyes)
AC_CONFIG_FILES([ Makefile ])
AC_CONFIG_FILES([ doc/Makefile ])
AC_CONFIG_FILES([ doc/da/Makefile ])
AC_CONFIG_FILES([ doc/et/Makefile ])
AC_CONFIG_FILES([ doc/fr/Makefile ])
AC_CONFIG_FILES([ doc/it/Makefile ])
AC_CONFIG_FILES([ doc/kdetv/Makefile ])
AC_CONFIG_FILES([ doc/nl/Makefile ])
AC_CONFIG_FILES([ doc/pt/Makefile ])
AC_CONFIG_FILES([ doc/ru/Makefile ])
AC_CONFIG_FILES([ doc/sv/Makefile ])
AC_CONFIG_FILES([ kdetv/Makefile ])
AC_CONFIG_FILES([ kdetv/clients/Makefile ])
AC_CONFIG_FILES([ kdetv/clients/applet/Makefile ])
AC_CONFIG_FILES([ kdetv/clients/kdetv/Makefile ])
AC_CONFIG_FILES([ kdetv/clients/kpart/Makefile ])
AC_CONFIG_FILES([ kdetv/clients/kpartshell/Makefile ])
AC_CONFIG_FILES([ kdetv/clients/panelextension/Makefile ])
AC_CONFIG_FILES([ kdetv/clients/screensaver/Makefile ])
AC_CONFIG_FILES([ kdetv/clients/shared/Makefile ])
AC_CONFIG_FILES([ kdetv/clients/shared/icons/Makefile ])
AC_CONFIG_FILES([ kdetv/kvideoio/Makefile ])
AC_CONFIG_FILES([ kdetv/kvideoio/kdetvv4lsetup/Makefile ])
AC_CONFIG_FILES([ kdetv/libkdetv/Makefile ])
AC_CONFIG_FILES([ kdetv/libkdetv/data/Makefile ])
AC_CONFIG_FILES([ kdetv/libkdetv/kdetvvideo/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/channel/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/channel/csv/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/channel/kwintv/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/channel/xawtv/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/channel/xml/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/channel/zapping/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/filter/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/filter/bilinear/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/filter/chromakill/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/filter/colourinversion/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/filter/greedy/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/filter/greedy2frame/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/filter/greedyh/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/filter/linearblend/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/filter/mirror/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/filter/none/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/filter/overscan/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/filter/sharpness/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/filter/tomsmocomp/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/misc/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/misc/channelsuite/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/misc/simon/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/misc/telex/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/mixer/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/mixer/alsa/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/mixer/oss/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/osd/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/osd/elegant/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/osd/haze/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/vbi/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/vbi/libzvbidecoder/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/video/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/video/v4l/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/video/v4l2/Makefile ])
AC_CONFIG_FILES([ kdetv/plugins/video/xv/Makefile ])
AC_CONFIG_FILES([ po/Makefile ])
AC_CONFIG_FILES([ po/bg/Makefile ])
AC_CONFIG_FILES([ po/br/Makefile ])
AC_CONFIG_FILES([ po/ca/Makefile ])
AC_CONFIG_FILES([ po/cs/Makefile ])
AC_CONFIG_FILES([ po/cy/Makefile ])
AC_CONFIG_FILES([ po/da/Makefile ])
AC_CONFIG_FILES([ po/de/Makefile ])
AC_CONFIG_FILES([ po/el/Makefile ])
AC_CONFIG_FILES([ po/en_GB/Makefile ])
AC_CONFIG_FILES([ po/es/Makefile ])
AC_CONFIG_FILES([ po/et/Makefile ])
AC_CONFIG_FILES([ po/fi/Makefile ])
AC_CONFIG_FILES([ po/fr/Makefile ])
AC_CONFIG_FILES([ po/ga/Makefile ])
AC_CONFIG_FILES([ po/gl/Makefile ])
AC_CONFIG_FILES([ po/he/Makefile ])
AC_CONFIG_FILES([ po/hu/Makefile ])
AC_CONFIG_FILES([ po/is/Makefile ])
AC_CONFIG_FILES([ po/it/Makefile ])
AC_CONFIG_FILES([ po/ja/Makefile ])
AC_CONFIG_FILES([ po/ka/Makefile ])
AC_CONFIG_FILES([ po/lt/Makefile ])
AC_CONFIG_FILES([ po/mt/Makefile ])
AC_CONFIG_FILES([ po/nb/Makefile ])
AC_CONFIG_FILES([ po/nl/Makefile ])
AC_CONFIG_FILES([ po/pa/Makefile ])
AC_CONFIG_FILES([ po/pl/Makefile ])
AC_CONFIG_FILES([ po/pt/Makefile ])
AC_CONFIG_FILES([ po/pt_BR/Makefile ])
AC_CONFIG_FILES([ po/ro/Makefile ])
AC_CONFIG_FILES([ po/ru/Makefile ])
AC_CONFIG_FILES([ po/rw/Makefile ])
AC_CONFIG_FILES([ po/sr/Makefile ])
AC_CONFIG_FILES([ po/sr@Latn/Makefile ])
AC_CONFIG_FILES([ po/sv/Makefile ])
AC_CONFIG_FILES([ po/ta/Makefile ])
AC_CONFIG_FILES([ po/tr/Makefile ])
AC_CONFIG_FILES([ po/uk/Makefile ])
AC_CONFIG_FILES([ po/zh_CN/Makefile ])
AC_OUTPUT
# Check if KDE_SET_PREFIX was called, and --prefix was passed to configure
if test -n "$kde_libs_prefix" -a -n "$given_prefix"; then
  # And if so, warn when they don't match
  if test "$kde_libs_prefix" != "$given_prefix"; then
    # And if kde doesn't know about the prefix yet
    echo ":"`kde-config --path exe`":" | grep ":$given_prefix/bin/:" 2>&1 >/dev/null
    if test $? -ne 0; then
      echo ""
      echo "Warning: you chose to install this package in $given_prefix,"
      echo "but KDE was found in $kde_libs_prefix."
      echo "For this to work, you will need to tell KDE about the new prefix, by ensuring"
      echo "that KDEDIRS contains it, e.g. export KDEDIRS=$given_prefix:$kde_libs_prefix"
      echo "Then restart KDE."
      echo ""
    fi
  fi
fi

if test "$all_tests" = "bad"; then
  if test ! "$cache_file" = "/dev/null"; then
    echo ""
    echo "Please remove the file $cache_file after changing your setup"
    echo "so that configure will find the changes next time."
    echo ""
  fi
else
  echo ""
  echo "Good - your configure finished. Start make now"
  echo ""
fi
